Bug 27319 - Installation crashes when dealing with Mesa-devel package
Installation crashes when dealing with Mesa-devel package
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-12 21:59 EST by stain_reg
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-13 14:21:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stain_reg 2001-02-12 21:59:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90)


Anaconda crashes when trying to install the Mesa-devel-3.3-5.i386.rpm.

Details follow:
Installing Red Hat Linux 7 using 2 CDs burned with the images available on 
RedHat's FTP site.
I choose partitionless installation, Workstation configuration installing 
the default packages. 
I give the suggested disk space to Red Hat (around 1080 Mb for data, and 
32 for swap if I recall correctly).
Start installation, choosing English, Standard Keyboard, Spanish Layout, 2-
button mouse emulation 3-b, ATI Rage M 8Mb, and all the other default 
options.
In the middle of the installation, when anaconda tries to install the 
named Mesa component the computer hangs, it seems it cannot find the file. 
I have checked and the named file is on the CD.

This is the Anaconda Dump:
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1543, in 
doInstall
    self.instCallback, p)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1298, in 
instCallback
    self.rpmFD = os.open(fn, os.O_RDONLY)
OSError: [Errno 2] No such file or 
directory: '/mnt/source/RedHat/RPMS/Mesa-devel-3.3-5.i386.rpm'

Local variables in innermost frame:
fn: /mnt/source/RedHat/RPMS/Mesa-devel-3.3-5.i386.rpm
total: 0
self: <todo.ToDo instance at 8431c18>
h: <header object at 88f6a48>
amount: 0
intf: <progress_gui.InstallProgressWindow instance at 8462cd8>
what: 2

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>


Reproducible: Always
Steps to Reproduce:
1. Install Linux Red Hat 7 Public version, partitionless in a FAT32 
partition.
2. Select Workstation configuration and all the default options.
3. Wait until anaconda reaches the Mesa-devel package, it crashes at that 
point.
	

Actual Results:  Anaconda gives an error message and after pressing OK on 
the dialog box, the computer resets.

Expected Results:  Succesful installation.

Using a DELL Inspiron 3800 notebook.
Comment 1 stain_reg 2001-02-13 14:21:04 EST
Solved!
I'm sorry, I was searching bugzilla for my bug before posting but I couldn't 
find anything. Today I was browsing redhat support when I saw a fix to 
something similar to my problem. It is fixed now.

Note You need to log in before you can comment on or make changes to this bug.